from mc_emma import *
import numpy
""" Cubic structures """

rep=[1,1,1]
ap=3.8 

#Make A blocks
A1=Atoms("Sr4O4",cell=[2.*ap,2.*ap,0.5*ap],pbc=[1,1,1])
A1.set_scaled_positions([[0.,0.,0.5],[0.5,0.,0.5],[0.,0.5,0.5],[0.5,0.5,0.5],
                         [0.25,0.25,0.5],[0.75,0.25,0.5],[0.25,0.75,0.5],[0.75,0.75,0.5]])
A1=A1.repeat(rep)
#view(A1)

A2=Atoms("Ca4O4",cell=[2.*ap,2.*ap,0.5*ap],pbc=[1,1,1])
A2.set_scaled_positions([[0.,0.,0.5],[0.5,0.,0.5],[0.,0.5,0.5],[0.5,0.5,0.5],
                         [0.25,0.25,0.5],[0.75,0.25,0.5],[0.25,0.75,0.5],[0.75,0.75,0.5]])
A2=A2.repeat(rep)
#view(A2)

A3=Atoms("Y4",cell=[2.*ap,2.*ap,0.5*ap],pbc=[1,1,1])
A3.set_scaled_positions([[0.,0.,0.5],[0.5,0.,0.5],[0.,0.5,0.5],[0.5,0.5,0.5]])
A3=A3.repeat(rep)
#view(A3)

A4=Atoms("Y4O4",cell=[2.*ap,2.*ap,0.5*ap],pbc=[1,1,1])
A4.set_scaled_positions([[0.,0.,0.5],[0.5,0.,0.5],[0.,0.5,0.5],[0.5,0.5,0.5],
                         [0.25,0.25,0.5],[0.75,0.25,0.5],[0.25,0.75,0.5],[0.75,0.75,0.5]])
A4=A4.repeat(rep)
#view(A4)

#Make B blocks
B1=Atoms("Ga4O8",cell=[2.*ap,2.*ap,0.5*ap],pbc=[1,1,1])
B1.set_scaled_positions([[0.25,0.25,0.5],[0.75,0.25,0.5],[0.25,0.75,0.5],[0.75,0.75,0.5],
                         [0.25,0.,0.5],[0.25,0.5,0.5],[0.75,0.,0.5],[0.75,0.5,0.5],
                         [0.,0.25,0.5],[0.5,0.25,0.5],[0.,0.75,0.5],[0.5,0.75,0.5]])
B1=B1.repeat(rep)
#view(B1)

B3=Atoms("Ga4O4",cell=[2.*ap,2.*ap,0.5*ap],pbc=[1,1,1])
B3.set_scaled_positions([[0.25,0.25,0.5],[0.75,0.25,0.5],[0.25,0.75,0.5],[0.75,0.75,0.5],
                         [0.25,0.5,0.5],[0.75,0.,0.5],[0.,0.25,0.5],[0.5,0.75,0.5]])
B3=B3.repeat(rep)
#view(B3)

B4=Atoms("Ga4O4",cell=[2.*ap,2.*ap,0.5*ap],pbc=[1,1,1])
B4.set_scaled_positions([
       [ 0.25   ,  0.25   ,  0.5    ],
       [ 0.75   ,  0.25   ,  0.5    ],
       [ 0.25   ,  0.75   ,  0.5    ],
       [ 0.75   ,  0.75   ,  0.5    ],
       [ 0.5    ,  0.25   ,  0.5    ],
       [ 0.0    ,  0.75   ,  0.5    ],
       [ 0.25   ,  0.0    ,  0.5    ],
       [ 0.75   ,  0.5    ,  0.5    ]])
                         
B4=B4.repeat(rep)
#view(B4)

AMods=[A1,A2,A3,A4]
BMods=[B1,B3,B4]


mc(startup=2,res='T',sl=range(1,21),A_Mods={'orthorhombic':AMods},B_Mods={'orthorhombic':BMods},output='full',charges={"O":-2,"Ca":2,"Ga":3,"Y":3,"Sr":2},
kwds=['opti','conp','conj'],opts=['library library.lib','output movie arc relax \ntime 3 hours','\nswitch_minimiser bfgs gnorm 0.1','\nstepmx 0.01\nmaxcyc 2000'],shel={"Ca":0,"Ga":0,"Sr":0,"O":0}
,smax=100,rmax=400,smin=800 ,ratt_dist=0.05,composition={'Y':1,'Sr':6,'Ca':3,'Ga':10,'O':25.5},red_T=0.1,delay = 0
,pert = (
['T1',20],
['T2',15],
['T3',15],
['T4',10],
['T5',5],
['T6',5],))



